Bug 1018838 - Data Modeler: Create dialog contains input field instead of select which contains all packages in a project
Data Modeler: Create dialog contains input field instead of select which cont...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: Walter Medvedeo
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 09:42 EDT by Sona Mala
Modified: 2014-08-06 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Create New Data Object dialog - Actual result (27.06 KB, image/png)
2013-10-14 09:42 EDT, Sona Mala
no flags Details
Create New Data Object dialog - Expect result (23.00 KB, image/png)
2013-10-14 09:43 EDT, Sona Mala
no flags Details

  None (edit)
Description Sona Mala 2013-10-14 09:42:37 EDT
Created attachment 812029 [details]
Create New Data Object dialog - Actual result

Description of problem:
If the user create a new data object then the modal dialog shows as default value a radio button "Existing package" and instead of selection of existing packages contains just an input field (see screenshot).

If the user checks "New package" and checks "Existing package" again then "Create dialog" shows a selection of packages.

Reopen Data modeler to reproduce this issue again.


Version-Release number of selected component (if applicable):
6.0.0 ER4 BPMS

How reproducible:


Steps to Reproduce:
1. open Data Modeler
2. create a new data object

Actual results:
see attached screenshot. Instead of package selection there is just an input field.

Expected results:
"Existing package" is checked and select which contains all existing packages is present. 


Additional info:
Comment 1 Sona Mala 2013-10-14 09:43:10 EDT
Created attachment 812030 [details]
Create New Data Object dialog - Expect result
Comment 2 Walter Medvedeo 2013-10-17 12:45:17 EDT
The New data object dialog behaviour was reviewed and It works as expected.
So I believe this report was generated with an older build.
Please review it in next release and let us know.
Comment 3 Sona Mala 2013-12-17 10:21:00 EST
Verified for ER5

Note You need to log in before you can comment on or make changes to this bug.